export var FlinkSqlParser: typeof FlinkSqlParser;
declare function FlinkSqlParser(input: any): any;
declare class FlinkSqlParser {
    constructor(input: any);
    _interp: any;
    ruleNames: string[];
    literalNames: string[];
    symbolicNames: string[];
    constructor: typeof FlinkSqlParser;
    get atn(): any;
    program(): ProgramContext;
    state: number;
    statement(): StatementContext;
    sqlStatements(): SqlStatementsContext;
    sqlStatement(): SqlStatementContext;
    emptyStatement(): EmptyStatementContext;
    ddlStatement(): DdlStatementContext;
    dmlStatement(): DmlStatementContext;
    describeStatement(): DescribeStatementContext;
    explainStatement(): ExplainStatementContext;
    useStatement(): UseStatementContext;
    showStatememt(): ShowStatememtContext;
    createTable(): CreateTableContext;
    columnOptionDefinition(): ColumnOptionDefinitionContext;
    columnName(): ColumnNameContext;
    columnNameList(): ColumnNameListContext;
    columnType(): ColumnTypeContext;
    lengthOneDimension(): LengthOneDimensionContext;
    commentSpec(): CommentSpecContext;
    watermarkDefinition(): WatermarkDefinitionContext;
    tableConstraint(): TableConstraintContext;
    selfDefinitionClause(): SelfDefinitionClauseContext;
    partitionDefinition(): PartitionDefinitionContext;
    transformList(): TransformListContext;
    transform(): TransformContext;
    transformArgument(): TransformArgumentContext;
    likeDefinition(): LikeDefinitionContext;
    likeOption(): LikeOptionContext;
    createCatalog(): CreateCatalogContext;
    createDatabase(): CreateDatabaseContext;
    createView(): CreateViewContext;
    createFunction(): CreateFunctionContext;
    alterTable(): AlterTableContext;
    renameDefinition(): RenameDefinitionContext;
    setKeyValueDefinition(): SetKeyValueDefinitionContext;
    alterDatabase(): AlterDatabaseContext;
    alterFunction(): AlterFunctionContext;
    dropTable(): DropTableContext;
    dropDatabase(): DropDatabaseContext;
    dropView(): DropViewContext;
    dropFunction(): DropFunctionContext;
    insertStatement(): InsertStatementContext;
    insertPartitionDefinition(): InsertPartitionDefinitionContext;
    valuesDefinition(): ValuesDefinitionContext;
    valuesRowDefinition(): ValuesRowDefinitionContext;
    queryStatement(_p: any): QueryStatementContext;
    valuesCaluse(): ValuesCaluseContext;
    selectStatement(): SelectStatementContext;
    selectClause(): SelectClauseContext;
    projectItemDefinition(): ProjectItemDefinitionContext;
    fromClause(): FromClauseContext;
    tableExpression(_p: any): TableExpressionContext;
    tableReference(): TableReferenceContext;
    tablePrimary(): TablePrimaryContext;
    joinCondition(): JoinConditionContext;
    whereClause(): WhereClauseContext;
    groupByClause(): GroupByClauseContext;
    groupItemDefinition(): GroupItemDefinitionContext;
    havingClause(): HavingClauseContext;
    orderByCaluse(): OrderByCaluseContext;
    orderItemDefition(): OrderItemDefitionContext;
    limitClause(): LimitClauseContext;
    windowClause(): WindowClauseContext;
    namedWindow(): NamedWindowContext;
    windowSpec(): WindowSpecContext;
    sortItem(): SortItemContext;
    windowFrame(): WindowFrameContext;
    frameBound(): FrameBoundContext;
    expression(): ExpressionContext;
    booleanExpression(_p: any): any;
    _ctx: any;
    predicate(): PredicateContext;
    valueExpression(_p: any): ValueExpressionContext;
    primaryExpression(_p: any): PrimaryExpressionContext;
    functionName(): FunctionNameContext;
    dereferenceDefinition(): DereferenceDefinitionContext;
    qualifiedName(): QualifiedNameContext;
    interval(): IntervalContext;
    errorCapturingMultiUnitsInterval(): ErrorCapturingMultiUnitsIntervalContext;
    multiUnitsInterval(): MultiUnitsIntervalContext;
    errorCapturingUnitToUnitInterval(): ErrorCapturingUnitToUnitIntervalContext;
    unitToUnitInterval(): UnitToUnitIntervalContext;
    intervalValue(): IntervalValueContext;
    columnAlias(): ColumnAliasContext;
    tableAlias(): TableAliasContext;
    errorCapturingIdentifier(): ErrorCapturingIdentifierContext;
    errorCapturingIdentifierExtra(): ErrorCapturingIdentifierExtraContext;
    identifierList(): IdentifierListContext;
    identifierSeq(): IdentifierSeqContext;
    identifier(): IdentifierContext;
    strictIdentifier(): StrictIdentifierContext;
    unquotedIdentifier(): UnquotedIdentifierContext;
    quotedIdentifier(): QuotedIdentifierContext;
    whenClause(): WhenClauseContext;
    uidList(): UidListContext;
    uid(): UidContext;
    plusUid(): PlusUidContext;
    withOption(): WithOptionContext;
    ifNotExists(): IfNotExistsContext;
    ifExists(): IfExistsContext;
    tablePropertyList(): TablePropertyListContext;
    tableProperty(): TablePropertyContext;
    tablePropertyKey(): TablePropertyKeyContext;
    tablePropertyValue(): TablePropertyValueContext;
    logicalOperator(): LogicalOperatorContext;
    comparisonOperator(): ComparisonOperatorContext;
    bitOperator(): BitOperatorContext;
    mathOperator(): MathOperatorContext;
    unaryOperator(): UnaryOperatorContext;
    fullColumnName(): FullColumnNameContext;
    constant(): ConstantContext;
    stringLiteral(): StringLiteralContext;
    decimalLiteral(): DecimalLiteralContext;
    booleanLiteral(): BooleanLiteralContext;
    setQuantifier(): SetQuantifierContext;
    ansiNonReserved(): AnsiNonReservedContext;
    strictNonReserved(): StrictNonReservedContext;
    nonReserved(): NonReservedContext;
    sempred(localctx: any, ruleIndex: any, predIndex: any): any;
    queryStatement_sempred(localctx: any, predIndex: any): any;
    tableExpression_sempred(localctx: any, predIndex: any): any;
    booleanExpression_sempred(localctx: any, predIndex: any): any;
    valueExpression_sempred(localctx: any, predIndex: any): any;
    primaryExpression_sempred(localctx: any, predIndex: any): any;
}
declare namespace FlinkSqlParser {
    export const EOF: number;
    export const SPACE: number;
    export const COMMENT_INPUT: number;
    export const LINE_COMMENT: number;
    export const SELECT: number;
    export const FROM: number;
    export const ADD: number;
    export const AS: number;
    export const ALL: number;
    export const ANY: number;
    export const DISTINCT: number;
    export const WHERE: number;
    export const GROUP: number;
    export const BY: number;
    export const GROUPING: number;
    export const SETS: number;
    export const CUBE: number;
    export const ROLLUP: number;
    export const ORDER: number;
    export const HAVING: number;
    export const LIMIT: number;
    export const AT: number;
    export const OR: number;
    export const AND: number;
    export const IN: number;
    export const NOT: number;
    export const NO: number;
    export const EXISTS: number;
    export const BETWEEN: number;
    export const LIKE: number;
    export const RLIKE: number;
    export const IS: number;
    export const TRUE: number;
    export const FALSE: number;
    export const NULLS: number;
    export const ASC: number;
    export const DESC: number;
    export const FOR: number;
    export const INTERVAL: number;
    export const CASE: number;
    export const WHEN: number;
    export const THEN: number;
    export const ELSE: number;
    export const END: number;
    export const JOIN: number;
    export const CROSS: number;
    export const OUTER: number;
    export const INNER: number;
    export const LEFT: number;
    export const SEMI: number;
    export const RIGHT: number;
    export const FULL: number;
    export const NATURAL: number;
    export const ON: number;
    export const PIVOT: number;
    export const LATERAL: number;
    export const WINDOW: number;
    export const OVER: number;
    export const PARTITION: number;
    export const RANGE: number;
    export const ROWS: number;
    export const UNBOUNDED: number;
    export const PRECEDING: number;
    export const FOLLOWING: number;
    export const CURRENT: number;
    export const FIRST: number;
    export const AFTER: number;
    export const LAST: number;
    export const WITH: number;
    export const VALUES: number;
    export const CREATE: number;
    export const TABLE: number;
    export const DIRECTORY: number;
    export const VIEW: number;
    export const REPLACE: number;
    export const INSERT: number;
    export const DELETE: number;
    export const INTO: number;
    export const DESCRIBE: number;
    export const EXPLAIN: number;
    export const FORMAT: number;
    export const LOGICAL: number;
    export const CODEGEN: number;
    export const COST: number;
    export const CAST: number;
    export const SHOW: number;
    export const TABLES: number;
    export const COLUMNS: number;
    export const COLUMN: number;
    export const USE: number;
    export const PARTITIONS: number;
    export const FUNCTIONS: number;
    export const DROP: number;
    export const UNION: number;
    export const EXCEPT: number;
    export const SETMINUS: number;
    export const INTERSECT: number;
    export const TO: number;
    export const TABLESAMPLE: number;
    export const STRATIFY: number;
    export const ALTER: number;
    export const RENAME: number;
    export const STRUCT: number;
    export const COMMENT: number;
    export const SET: number;
    export const RESET: number;
    export const DATA: number;
    export const START: number;
    export const TRANSACTION: number;
    export const COMMIT: number;
    export const ROLLBACK: number;
    export const MACRO: number;
    export const IGNORE: number;
    export const BOTH: number;
    export const LEADING: number;
    export const TRAILING: number;
    export const IF: number;
    export const POSITION: number;
    export const EXTRACT: number;
    export const MINUS: number;
    export const DIV: number;
    export const PERCENTLIT: number;
    export const BUCKET: number;
    export const OUT: number;
    export const OF: number;
    export const SORT: number;
    export const CLUSTER: number;
    export const DISTRIBUTE: number;
    export const OVERWRITE: number;
    export const TRANSFORM: number;
    export const REDUCE: number;
    export const USING: number;
    export const SERDE: number;
    export const SERDEPROPERTIES: number;
    export const RECORDREADER: number;
    export const RECORDWRITER: number;
    export const DELIMITED: number;
    export const FIELDS: number;
    export const TERMINATED: number;
    export const COLLECTION: number;
    export const ITEMS: number;
    export const KEYS: number;
    export const ESCAPED: number;
    export const LINES: number;
    export const SEPARATED: number;
    export const FUNCTION: number;
    export const EXTENDED: number;
    export const REFRESH: number;
    export const CLEAR: number;
    export const CACHE: number;
    export const UNCACHE: number;
    export const LAZY: number;
    export const FORMATTED: number;
    export const GLOBAL: number;
    export const TEMPORARY: number;
    export const OPTIONS: number;
    export const UNSET: number;
    export const TBLPROPERTIES: number;
    export const DBPROPERTIES: number;
    export const BUCKETS: number;
    export const SKEWED: number;
    export const STORED: number;
    export const DIRECTORIES: number;
    export const LOCATION: number;
    export const EXCHANGE: number;
    export const ARCHIVE: number;
    export const UNARCHIVE: number;
    export const FILEFORMAT: number;
    export const TOUCH: number;
    export const COMPACT: number;
    export const CONCATENATE: number;
    export const CHANGE: number;
    export const CASCADE: number;
    export const CONSTRAINT: number;
    export const RESTRICT: number;
    export const CLUSTERED: number;
    export const SORTED: number;
    export const PURGE: number;
    export const INPUTFORMAT: number;
    export const OUTPUTFORMAT: number;
    export const DATABASE: number;
    export const DATABASES: number;
    export const DFS: number;
    export const TRUNCATE: number;
    export const ANALYZE: number;
    export const COMPUTE: number;
    export const LIST: number;
    export const STATISTICS: number;
    export const PARTITIONED: number;
    export const EXTERNAL: number;
    export const DEFINED: number;
    export const REVOKE: number;
    export const GRANT: number;
    export const LOCK: number;
    export const UNLOCK: number;
    export const MSCK: number;
    export const REPAIR: number;
    export const RECOVER: number;
    export const EXPORT: number;
    export const IMPORT: number;
    export const LOAD: number;
    export const ROLE: number;
    export const ROLES: number;
    export const COMPACTIONS: number;
    export const PRINCIPALS: number;
    export const TRANSACTIONS: number;
    export const INDEX: number;
    export const INDEXES: number;
    export const LOCKS: number;
    export const OPTION: number;
    export const ANTI: number;
    export const LOCAL: number;
    export const INPATH: number;
    export const WATERMARK: number;
    export const UNNEST: number;
    export const MATCH: number;
    export const NEXT: number;
    export const WITHIN: number;
    export const WS: number;
    export const SYSTEM: number;
    export const INCLUDING: number;
    export const EXCLUDING: number;
    export const CONSTRAINTS: number;
    export const GENERATED: number;
    export const CATALOG: number;
    export const LANGUAGE: number;
    export const CATALOGS: number;
    export const VIEWS: number;
    export const PRIMARY: number;
    export const KEY: number;
    export const PERIOD: number;
    export const SYSTEM_TIME: number;
    export const STRING: number;
    export const ARRAY: number;
    export const MAP: number;
    export const CHAR: number;
    export const VARCHAR: number;
    export const BINARY: number;
    export const VARBINARY: number;
    export const BYTES: number;
    export const DECIMAL: number;
    export const TINYINT: number;
    export const SMALLINT: number;
    export const INT: number;
    export const BIGINT: number;
    export const FLOAT: number;
    export const DOUBLE: number;
    export const DATE: number;
    export const TIME: number;
    export const TIMESTAMP: number;
    export const MULTISET: number;
    export const BOOLEAN: number;
    export const RAW: number;
    export const ROW: number;
    export const NULL: number;
    export const DATETIME: number;
    export const EQUAL_SYMBOL: number;
    export const GREATER_SYMBOL: number;
    export const LESS_SYMBOL: number;
    export const EXCLAMATION_SYMBOL: number;
    export const BIT_NOT_OP: number;
    export const BIT_OR_OP: number;
    export const BIT_AND_OP: number;
    export const BIT_XOR_OP: number;
    export const DOT: number;
    export const LS_BRACKET: number;
    export const RS_BRACKET: number;
    export const LR_BRACKET: number;
    export const RR_BRACKET: number;
    export const COMMA: number;
    export const SEMICOLON: number;
    export const AT_SIGN: number;
    export const SINGLE_QUOTE_SYMB: number;
    export const DOUBLE_QUOTE_SYMB: number;
    export const REVERSE_QUOTE_SYMB: number;
    export const COLON_SYMB: number;
    export const ASTERISK_SIGN: number;
    export const UNDERLINE_SIGN: number;
    export const HYPNEN_SIGN: number;
    export const ADD_SIGN: number;
    export const PENCENT_SIGN: number;
    export const DOUBLE_VERTICAL_SIGN: number;
    export const DOUBLE_HYPNEN_SIGN: number;
    export const SLASH_SIGN: number;
    export const DOT_ID: number;
    export const PLUS_DOT_ID: number;
    export const STRING_LITERAL: number;
    export const DIG_LITERAL: number;
    export const REAL_LITERAL: number;
    export const BIT_STRING: number;
    export const ID_LITERAL: number;
    export const PLUS_ID_LITERAL: number;
    export const RULE_program: number;
    export const RULE_statement: number;
    export const RULE_sqlStatements: number;
    export const RULE_sqlStatement: number;
    export const RULE_emptyStatement: number;
    export const RULE_ddlStatement: number;
    export const RULE_dmlStatement: number;
    export const RULE_describeStatement: number;
    export const RULE_explainStatement: number;
    export const RULE_useStatement: number;
    export const RULE_showStatememt: number;
    export const RULE_createTable: number;
    export const RULE_columnOptionDefinition: number;
    export const RULE_columnName: number;
    export const RULE_columnNameList: number;
    export const RULE_columnType: number;
    export const RULE_lengthOneDimension: number;
    export const RULE_commentSpec: number;
    export const RULE_watermarkDefinition: number;
    export const RULE_tableConstraint: number;
    export const RULE_selfDefinitionClause: number;
    export const RULE_partitionDefinition: number;
    export const RULE_transformList: number;
    export const RULE_transform: number;
    export const RULE_transformArgument: number;
    export const RULE_likeDefinition: number;
    export const RULE_likeOption: number;
    export const RULE_createCatalog: number;
    export const RULE_createDatabase: number;
    export const RULE_createView: number;
    export const RULE_createFunction: number;
    export const RULE_alterTable: number;
    export const RULE_renameDefinition: number;
    export const RULE_setKeyValueDefinition: number;
    export const RULE_alterDatabase: number;
    export const RULE_alterFunction: number;
    export const RULE_dropTable: number;
    export const RULE_dropDatabase: number;
    export const RULE_dropView: number;
    export const RULE_dropFunction: number;
    export const RULE_insertStatement: number;
    export const RULE_insertPartitionDefinition: number;
    export const RULE_valuesDefinition: number;
    export const RULE_valuesRowDefinition: number;
    export const RULE_queryStatement: number;
    export const RULE_valuesCaluse: number;
    export const RULE_selectStatement: number;
    export const RULE_selectClause: number;
    export const RULE_projectItemDefinition: number;
    export const RULE_fromClause: number;
    export const RULE_tableExpression: number;
    export const RULE_tableReference: number;
    export const RULE_tablePrimary: number;
    export const RULE_joinCondition: number;
    export const RULE_whereClause: number;
    export const RULE_groupByClause: number;
    export const RULE_groupItemDefinition: number;
    export const RULE_havingClause: number;
    export const RULE_orderByCaluse: number;
    export const RULE_orderItemDefition: number;
    export const RULE_limitClause: number;
    export const RULE_windowClause: number;
    export const RULE_namedWindow: number;
    export const RULE_windowSpec: number;
    export const RULE_sortItem: number;
    export const RULE_windowFrame: number;
    export const RULE_frameBound: number;
    export const RULE_expression: number;
    export const RULE_booleanExpression: number;
    export const RULE_predicate: number;
    export const RULE_valueExpression: number;
    export const RULE_primaryExpression: number;
    export const RULE_functionName: number;
    export const RULE_dereferenceDefinition: number;
    export const RULE_qualifiedName: number;
    export const RULE_interval: number;
    export const RULE_errorCapturingMultiUnitsInterval: number;
    export const RULE_multiUnitsInterval: number;
    export const RULE_errorCapturingUnitToUnitInterval: number;
    export const RULE_unitToUnitInterval: number;
    export const RULE_intervalValue: number;
    export const RULE_columnAlias: number;
    export const RULE_tableAlias: number;
    export const RULE_errorCapturingIdentifier: number;
    export const RULE_errorCapturingIdentifierExtra: number;
    export const RULE_identifierList: number;
    export const RULE_identifierSeq: number;
    export const RULE_identifier: number;
    export const RULE_strictIdentifier: number;
    export const RULE_unquotedIdentifier: number;
    export const RULE_quotedIdentifier: number;
    export const RULE_whenClause: number;
    export const RULE_uidList: number;
    export const RULE_uid: number;
    export const RULE_plusUid: number;
    export const RULE_withOption: number;
    export const RULE_ifNotExists: number;
    export const RULE_ifExists: number;
    export const RULE_tablePropertyList: number;
    export const RULE_tableProperty: number;
    export const RULE_tablePropertyKey: number;
    export const RULE_tablePropertyValue: number;
    export const RULE_logicalOperator: number;
    export const RULE_comparisonOperator: number;
    export const RULE_bitOperator: number;
    export const RULE_mathOperator: number;
    export const RULE_unaryOperator: number;
    export const RULE_fullColumnName: number;
    export const RULE_constant: number;
    export const RULE_stringLiteral: number;
    export const RULE_decimalLiteral: number;
    export const RULE_booleanLiteral: number;
    export const RULE_setQuantifier: number;
    export const RULE_ansiNonReserved: number;
    export const RULE_strictNonReserved: number;
    export const RULE_nonReserved: number;
    export { ProgramContext };
    export { StatementContext };
    export { SqlStatementsContext };
    export { SqlStatementContext };
    export { EmptyStatementContext };
    export { DdlStatementContext };
    export { DmlStatementContext };
    export { DescribeStatementContext };
    export { ExplainStatementContext };
    export { UseStatementContext };
    export { ShowStatememtContext };
    export { CreateTableContext };
    export { ColumnOptionDefinitionContext };
    export { ColumnNameContext };
    export { ColumnNameListContext };
    export { ColumnTypeContext };
    export { LengthOneDimensionContext };
    export { CommentSpecContext };
    export { WatermarkDefinitionContext };
    export { TableConstraintContext };
    export { SelfDefinitionClauseContext };
    export { PartitionDefinitionContext };
    export { TransformListContext };
    export { IdentityTransformContext };
    export { ApplyTransformContext };
    export { TransformContext };
    export { TransformArgumentContext };
    export { LikeDefinitionContext };
    export { LikeOptionContext };
    export { CreateCatalogContext };
    export { CreateDatabaseContext };
    export { CreateViewContext };
    export { CreateFunctionContext };
    export { AlterTableContext };
    export { RenameDefinitionContext };
    export { SetKeyValueDefinitionContext };
    export { AlterDatabaseContext };
    export { AlterFunctionContext };
    export { DropTableContext };
    export { DropDatabaseContext };
    export { DropViewContext };
    export { DropFunctionContext };
    export { InsertStatementContext };
    export { InsertPartitionDefinitionContext };
    export { ValuesDefinitionContext };
    export { ValuesRowDefinitionContext };
    export { ValuesCaluseContext };
    export { SelectStatementContext };
    export { SelectClauseContext };
    export { ProjectItemDefinitionContext };
    export { FromClauseContext };
    export { TableReferenceContext };
    export { TablePrimaryContext };
    export { JoinConditionContext };
    export { WhereClauseContext };
    export { GroupByClauseContext };
    export { GroupItemDefinitionContext };
    export { HavingClauseContext };
    export { OrderByCaluseContext };
    export { OrderItemDefitionContext };
    export { LimitClauseContext };
    export { WindowClauseContext };
    export { NamedWindowContext };
    export { WindowSpecContext };
    export { SortItemContext };
    export { WindowFrameContext };
    export { FrameBoundContext };
    export { ExpressionContext };
    export { LogicalNotContext };
    export { PredicatedContext };
    export { ExistsContext };
    export { LogicalBinaryContext };
    export { PredicateContext };
    export { ValueExpressionDefaultContext };
    export { ComparisonContext };
    export { ArithmeticBinaryContext };
    export { ArithmeticUnaryContext };
    export { DereferenceContext };
    export { SimpleCaseContext };
    export { ColumnReferenceContext };
    export { LastContext };
    export { StarContext };
    export { SubscriptContext };
    export { SubqueryExpressionContext };
    export { CastContext };
    export { ConstantDefaultContext };
    export { ParenthesizedExpressionContext };
    export { FunctionCallContext };
    export { SearchedCaseContext };
    export { PositionContext };
    export { FirstContext };
    export { FunctionNameContext };
    export { DereferenceDefinitionContext };
    export { QualifiedNameContext };
    export { IntervalContext };
    export { ErrorCapturingMultiUnitsIntervalContext };
    export { MultiUnitsIntervalContext };
    export { ErrorCapturingUnitToUnitIntervalContext };
    export { UnitToUnitIntervalContext };
    export { IntervalValueContext };
    export { ColumnAliasContext };
    export { TableAliasContext };
    export { ErrorCapturingIdentifierContext };
    export { ErrorIdentContext };
    export { RealIdentContext };
    export { ErrorCapturingIdentifierExtraContext };
    export { IdentifierListContext };
    export { IdentifierSeqContext };
    export { IdentifierContext };
    export { QuotedIdentifierAlternativeContext };
    export { NonReservedKeywordsContext };
    export { UnquotedIdentifierAlternativeContext };
    export { AnsiNonReservedKeywordsContext };
    export { StrictIdentifierContext };
    export { UnquotedIdentifierContext };
    export { QuotedIdentifierContext };
    export { WhenClauseContext };
    export { UidListContext };
    export { UidContext };
    export { PlusUidContext };
    export { WithOptionContext };
    export { IfNotExistsContext };
    export { IfExistsContext };
    export { TablePropertyListContext };
    export { TablePropertyContext };
    export { TablePropertyKeyContext };
    export { TablePropertyValueContext };
    export { LogicalOperatorContext };
    export { ComparisonOperatorContext };
    export { BitOperatorContext };
    export { MathOperatorContext };
    export { UnaryOperatorContext };
    export { FullColumnNameContext };
    export { ConstantContext };
    export { StringLiteralContext };
    export { DecimalLiteralContext };
    export { BooleanLiteralContext };
    export { SetQuantifierContext };
    export { AnsiNonReservedContext };
    export { StrictNonReservedContext };
    export { NonReservedContext };
}
declare function ProgramContext(parser: any, parent: any, invokingState: any): any;
declare class ProgramContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ProgramContext;
    statement(): any;
    EOF(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function StatementContext(parser: any, parent: any, invokingState: any): any;
declare class StatementContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof StatementContext;
    sqlStatements(): any;
    EOF(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SqlStatementsContext(parser: any, parent: any, invokingState: any): any;
declare class SqlStatementsContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof SqlStatementsContext;
    sqlStatement(i: any): any;
    emptyStatement(i: any): any;
    SEMICOLON(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SqlStatementContext(parser: any, parent: any, invokingState: any): any;
declare class SqlStatementContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof SqlStatementContext;
    ddlStatement(): any;
    dmlStatement(): any;
    describeStatement(): any;
    explainStatement(): any;
    useStatement(): any;
    showStatememt(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function EmptyStatementContext(parser: any, parent: any, invokingState: any): any;
declare class EmptyStatementContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof EmptyStatementContext;
    SEMICOLON(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function DdlStatementContext(parser: any, parent: any, invokingState: any): any;
declare class DdlStatementContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof DdlStatementContext;
    createTable(): any;
    createDatabase(): any;
    createView(): any;
    createFunction(): any;
    createCatalog(): any;
    alterTable(): any;
    alterDatabase(): any;
    alterFunction(): any;
    dropTable(): any;
    dropDatabase(): any;
    dropView(): any;
    dropFunction(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function DmlStatementContext(parser: any, parent: any, invokingState: any): any;
declare class DmlStatementContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof DmlStatementContext;
    queryStatement(): any;
    insertStatement(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function DescribeStatementContext(parser: any, parent: any, invokingState: any): any;
declare class DescribeStatementContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof DescribeStatementContext;
    DESCRIBE(): any;
    uid(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ExplainStatementContext(parser: any, parent: any, invokingState: any): any;
declare class ExplainStatementContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ExplainStatementContext;
    EXPLAIN(): any;
    identifier(): any;
    FOR(): any;
    dmlStatement(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function UseStatementContext(parser: any, parent: any, invokingState: any): any;
declare class UseStatementContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof UseStatementContext;
    USE(): any;
    uid(): any;
    CATALOG(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ShowStatememtContext(parser: any, parent: any, invokingState: any): any;
declare class ShowStatememtContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ShowStatememtContext;
    SHOW(): any;
    CATALOGS(): any;
    DATABASES(): any;
    TABLES(): any;
    FUNCTIONS(): any;
    VIEWS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function CreateTableContext(parser: any, parent: any, invokingState: any): any;
declare class CreateTableContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof CreateTableContext;
    CREATE(): any;
    TABLE(): any;
    uid(): any;
    LR_BRACKET(): any;
    columnOptionDefinition(i: any): any;
    RR_BRACKET(): any;
    withOption(): any;
    COMMA(i: any): any;
    watermarkDefinition(): any;
    tableConstraint(): any;
    selfDefinitionClause(): any;
    commentSpec(): any;
    partitionDefinition(): any;
    likeDefinition(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ColumnOptionDefinitionContext(parser: any, parent: any, invokingState: any): any;
declare class ColumnOptionDefinitionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ColumnOptionDefinitionContext;
    columnName(): any;
    columnType(): any;
    lengthOneDimension(): any;
    columnAlias(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ColumnNameContext(parser: any, parent: any, invokingState: any): any;
declare class ColumnNameContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ColumnNameContext;
    plusUid(): any;
    expression(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ColumnNameListContext(parser: any, parent: any, invokingState: any): any;
declare class ColumnNameListContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ColumnNameListContext;
    columnName(i: any): any;
    COMMA(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ColumnTypeContext(parser: any, parent: any, invokingState: any): any;
declare class ColumnTypeContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    typeName: any;
    constructor: typeof ColumnTypeContext;
    CHAR(): any;
    VARCHAR(): any;
    STRING(): any;
    BINARY(): any;
    VARBINARY(): any;
    BYTES(): any;
    DECIMAL(): any;
    TINYINT(): any;
    SMALLINT(): any;
    INT(): any;
    BIGINT(): any;
    FLOAT(): any;
    DOUBLE(): any;
    DATE(): any;
    TIME(): any;
    TIMESTAMP(): any;
    ARRAY(): any;
    MAP(): any;
    MULTISET(): any;
    ROW(): any;
    BOOLEAN(): any;
    RAW(): any;
    NULL(): any;
    DATETIME(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function LengthOneDimensionContext(parser: any, parent: any, invokingState: any): any;
declare class LengthOneDimensionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof LengthOneDimensionContext;
    LR_BRACKET(): any;
    decimalLiteral(): any;
    RR_BRACKET(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function CommentSpecContext(parser: any, parent: any, invokingState: any): any;
declare class CommentSpecContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof CommentSpecContext;
    COMMENT(): any;
    STRING_LITERAL(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function WatermarkDefinitionContext(parser: any, parent: any, invokingState: any): any;
declare class WatermarkDefinitionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof WatermarkDefinitionContext;
    WATERMARK(): any;
    FOR(): any;
    expression(i: any): any;
    AS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function TableConstraintContext(parser: any, parent: any, invokingState: any): any;
declare class TableConstraintContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof TableConstraintContext;
    PRIMARY(): any;
    KEY(): any;
    LR_BRACKET(): any;
    columnNameList(): any;
    RR_BRACKET(): any;
    CONSTRAINT(): any;
    identifier(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SelfDefinitionClauseContext(parser: any, parent: any, invokingState: any): any;
declare class SelfDefinitionClauseContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof SelfDefinitionClauseContext;
    PERIOD(): any;
    FOR(): any;
    SYSTEM_TIME(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function PartitionDefinitionContext(parser: any, parent: any, invokingState: any): any;
declare class PartitionDefinitionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof PartitionDefinitionContext;
    PARTITIONED(): any;
    BY(): any;
    transformList(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function TransformListContext(parser: any, parent: any, invokingState: any): any;
declare class TransformListContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof TransformListContext;
    LR_BRACKET(): any;
    transform(i: any): any;
    RR_BRACKET(): any;
    COMMA(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function TransformContext(parser: any, parent: any, invokingState: any): any;
declare class TransformContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof TransformContext;
    copyFrom(ctx: any): void;
}
declare function TransformArgumentContext(parser: any, parent: any, invokingState: any): any;
declare class TransformArgumentContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof TransformArgumentContext;
    qualifiedName(): any;
    constant(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function LikeDefinitionContext(parser: any, parent: any, invokingState: any): any;
declare class LikeDefinitionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof LikeDefinitionContext;
    LIKE(): any;
    identifier(): any;
    likeOption(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function LikeOptionContext(parser: any, parent: any, invokingState: any): any;
declare class LikeOptionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof LikeOptionContext;
    INCLUDING(): any;
    EXCLUDING(): any;
    ALL(): any;
    CONSTRAINTS(): any;
    GENERATED(): any;
    OPTIONS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function CreateCatalogContext(parser: any, parent: any, invokingState: any): any;
declare class CreateCatalogContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof CreateCatalogContext;
    CREATE(): any;
    CATALOG(): any;
    uid(): any;
    withOption(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function CreateDatabaseContext(parser: any, parent: any, invokingState: any): any;
declare class CreateDatabaseContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof CreateDatabaseContext;
    CREATE(): any;
    DATABASE(): any;
    uid(): any;
    withOption(): any;
    ifNotExists(): any;
    commentSpec(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function CreateViewContext(parser: any, parent: any, invokingState: any): any;
declare class CreateViewContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof CreateViewContext;
    CREATE(): any;
    VIEW(): any;
    uid(): any;
    AS(): any;
    queryStatement(): any;
    TEMPORARY(): any;
    ifNotExists(): any;
    columnNameList(): any;
    commentSpec(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function CreateFunctionContext(parser: any, parent: any, invokingState: any): any;
declare class CreateFunctionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof CreateFunctionContext;
    CREATE(): any;
    FUNCTION(): any;
    uid(): any;
    AS(): any;
    identifier(i: any): any;
    TEMPORARY(): any;
    SYSTEM(): any;
    ifNotExists(): any;
    LANGUAGE(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function AlterTableContext(parser: any, parent: any, invokingState: any): any;
declare class AlterTableContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof AlterTableContext;
    ALTER(): any;
    TABLE(): any;
    uid(): any;
    renameDefinition(): any;
    setKeyValueDefinition(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function RenameDefinitionContext(parser: any, parent: any, invokingState: any): any;
declare class RenameDefinitionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof RenameDefinitionContext;
    RENAME(): any;
    TO(): any;
    uid(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SetKeyValueDefinitionContext(parser: any, parent: any, invokingState: any): any;
declare class SetKeyValueDefinitionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof SetKeyValueDefinitionContext;
    SET(): any;
    tablePropertyList(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function AlterDatabaseContext(parser: any, parent: any, invokingState: any): any;
declare class AlterDatabaseContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof AlterDatabaseContext;
    ALTER(): any;
    DATABASE(): any;
    uid(): any;
    setKeyValueDefinition(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function AlterFunctionContext(parser: any, parent: any, invokingState: any): any;
declare class AlterFunctionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof AlterFunctionContext;
    ALTER(): any;
    FUNCTION(): any;
    uid(): any;
    AS(): any;
    identifier(i: any): any;
    TEMPORARY(): any;
    SYSTEM(): any;
    ifExists(): any;
    LANGUAGE(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function DropTableContext(parser: any, parent: any, invokingState: any): any;
declare class DropTableContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof DropTableContext;
    DROP(): any;
    TABLE(): any;
    uid(): any;
    ifExists(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function DropDatabaseContext(parser: any, parent: any, invokingState: any): any;
declare class DropDatabaseContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    dropType: any;
    constructor: typeof DropDatabaseContext;
    DROP(): any;
    DATABASE(): any;
    uid(): any;
    ifExists(): any;
    RESTRICT(): any;
    CASCADE(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function DropViewContext(parser: any, parent: any, invokingState: any): any;
declare class DropViewContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof DropViewContext;
    DROP(): any;
    VIEW(): any;
    uid(): any;
    TEMPORARY(): any;
    ifExists(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function DropFunctionContext(parser: any, parent: any, invokingState: any): any;
declare class DropFunctionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof DropFunctionContext;
    DROP(): any;
    FUNCTION(): any;
    uid(): any;
    TEMPORARY(): any;
    SYSTEM(): any;
    ifExists(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function InsertStatementContext(parser: any, parent: any, invokingState: any): any;
declare class InsertStatementContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof InsertStatementContext;
    INSERT(): any;
    uid(): any;
    INTO(): any;
    OVERWRITE(): any;
    queryStatement(): any;
    valuesDefinition(): any;
    insertPartitionDefinition(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function InsertPartitionDefinitionContext(parser: any, parent: any, invokingState: any): any;
declare class InsertPartitionDefinitionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof InsertPartitionDefinitionContext;
    PARTITION(): any;
    tablePropertyList(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ValuesDefinitionContext(parser: any, parent: any, invokingState: any): any;
declare class ValuesDefinitionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ValuesDefinitionContext;
    VALUES(): any;
    valuesRowDefinition(i: any): any;
    COMMA(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ValuesRowDefinitionContext(parser: any, parent: any, invokingState: any): any;
declare class ValuesRowDefinitionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ValuesRowDefinitionContext;
    LR_BRACKET(): any;
    constant(i: any): any;
    RR_BRACKET(): any;
    COMMA(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function QueryStatementContext(parser: any, parent: any, invokingState: any): any;
declare class QueryStatementContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    left: any;
    operator: any;
    right: any;
    constructor: typeof QueryStatementContext;
    valuesCaluse(): any;
    LR_BRACKET(): any;
    queryStatement(i: any): any;
    RR_BRACKET(): any;
    selectClause(): any;
    orderByCaluse(): any;
    limitClause(): any;
    selectStatement(): any;
    INTERSECT(): any;
    UNION(): any;
    EXCEPT(): any;
    ALL(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ValuesCaluseContext(parser: any, parent: any, invokingState: any): any;
declare class ValuesCaluseContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ValuesCaluseContext;
    VALUES(): any;
    expression(i: any): any;
    COMMA(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SelectStatementContext(parser: any, parent: any, invokingState: any): any;
declare class SelectStatementContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof SelectStatementContext;
    selectClause(): any;
    fromClause(): any;
    whereClause(): any;
    groupByClause(): any;
    havingClause(): any;
    windowClause(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SelectClauseContext(parser: any, parent: any, invokingState: any): any;
declare class SelectClauseContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof SelectClauseContext;
    SELECT(): any;
    ASTERISK_SIGN(): any;
    projectItemDefinition(i: any): any;
    setQuantifier(): any;
    COMMA(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ProjectItemDefinitionContext(parser: any, parent: any, invokingState: any): any;
declare class ProjectItemDefinitionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ProjectItemDefinitionContext;
    expression(i: any): any;
    AS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function FromClauseContext(parser: any, parent: any, invokingState: any): any;
declare class FromClauseContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof FromClauseContext;
    FROM(): any;
    tableExpression(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function TableExpressionContext(parser: any, parent: any, invokingState: any): any;
declare class TableExpressionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof TableExpressionContext;
    tableReference(i: any): any;
    COMMA(i: any): any;
    tableExpression(i: any): any;
    JOIN(): any;
    NATURAL(): any;
    joinCondition(): any;
    LEFT(): any;
    RIGHT(): any;
    FULL(): any;
    INNER(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function TableReferenceContext(parser: any, parent: any, invokingState: any): any;
declare class TableReferenceContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof TableReferenceContext;
    tablePrimary(): any;
    tableAlias(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function TablePrimaryContext(parser: any, parent: any, invokingState: any): any;
declare class TablePrimaryContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof TablePrimaryContext;
    expression(i: any): any;
    TABLE(): any;
    LATERAL(): any;
    LR_BRACKET(i: any): any;
    uid(): any;
    RR_BRACKET(i: any): any;
    COMMA(i: any): any;
    UNNEST(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function JoinConditionContext(parser: any, parent: any, invokingState: any): any;
declare class JoinConditionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof JoinConditionContext;
    ON(): any;
    booleanExpression(): any;
    USING(): any;
    LR_BRACKET(): any;
    uid(i: any): any;
    RR_BRACKET(): any;
    COMMA(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function WhereClauseContext(parser: any, parent: any, invokingState: any): any;
declare class WhereClauseContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof WhereClauseContext;
    WHERE(): any;
    booleanExpression(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function GroupByClauseContext(parser: any, parent: any, invokingState: any): any;
declare class GroupByClauseContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof GroupByClauseContext;
    GROUP(): any;
    BY(): any;
    groupItemDefinition(i: any): any;
    COMMA(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function GroupItemDefinitionContext(parser: any, parent: any, invokingState: any): any;
declare class GroupItemDefinitionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof GroupItemDefinitionContext;
    expression(i: any): any;
    LR_BRACKET(): any;
    RR_BRACKET(): any;
    COMMA(i: any): any;
    CUBE(): any;
    ROLLUP(): any;
    GROUPING(): any;
    SETS(): any;
    groupItemDefinition(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function HavingClauseContext(parser: any, parent: any, invokingState: any): any;
declare class HavingClauseContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof HavingClauseContext;
    HAVING(): any;
    booleanExpression(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function OrderByCaluseContext(parser: any, parent: any, invokingState: any): any;
declare class OrderByCaluseContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof OrderByCaluseContext;
    ORDER(): any;
    BY(): any;
    orderItemDefition(i: any): any;
    COMMA(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function OrderItemDefitionContext(parser: any, parent: any, invokingState: any): any;
declare class OrderItemDefitionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof OrderItemDefitionContext;
    expression(): any;
    ASC(): any;
    DESC(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function LimitClauseContext(parser: any, parent: any, invokingState: any): any;
declare class LimitClauseContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    limit: any;
    constructor: typeof LimitClauseContext;
    LIMIT(): any;
    ALL(): any;
    expression(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function WindowClauseContext(parser: any, parent: any, invokingState: any): any;
declare class WindowClauseContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof WindowClauseContext;
    WINDOW(): any;
    namedWindow(i: any): any;
    COMMA(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function NamedWindowContext(parser: any, parent: any, invokingState: any): any;
declare class NamedWindowContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    name: any;
    constructor: typeof NamedWindowContext;
    AS(): any;
    windowSpec(): any;
    errorCapturingIdentifier(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function WindowSpecContext(parser: any, parent: any, invokingState: any): any;
declare class WindowSpecContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    name: any;
    constructor: typeof WindowSpecContext;
    LR_BRACKET(): any;
    RR_BRACKET(): any;
    ORDER(): any;
    BY(i: any): any;
    sortItem(i: any): any;
    PARTITION(): any;
    expression(i: any): any;
    windowFrame(): any;
    errorCapturingIdentifier(): any;
    COMMA(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SortItemContext(parser: any, parent: any, invokingState: any): any;
declare class SortItemContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    ordering: any;
    nullOrder: any;
    constructor: typeof SortItemContext;
    expression(): any;
    NULLS(): any;
    ASC(): any;
    DESC(): any;
    LAST(): any;
    FIRST(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function WindowFrameContext(parser: any, parent: any, invokingState: any): any;
declare class WindowFrameContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof WindowFrameContext;
    RANGE(): any;
    frameBound(): any;
    ROWS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function FrameBoundContext(parser: any, parent: any, invokingState: any): any;
declare class FrameBoundContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof FrameBoundContext;
    expression(): any;
    PRECEDING(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ExpressionContext(parser: any, parent: any, invokingState: any): any;
declare class ExpressionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ExpressionContext;
    booleanExpression(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function PredicateContext(parser: any, parent: any, invokingState: any): any;
declare class PredicateContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    kind: any;
    lower: any;
    upper: any;
    pattern: any;
    quantifier: any;
    right: any;
    constructor: typeof PredicateContext;
    AND(): any;
    BETWEEN(): any;
    valueExpression(i: any): any;
    NOT(): any;
    LR_BRACKET(): any;
    expression(i: any): any;
    RR_BRACKET(): any;
    IN(): any;
    COMMA(i: any): any;
    queryStatement(): any;
    EXISTS(): any;
    RLIKE(): any;
    LIKE(): any;
    ANY(): any;
    ALL(): any;
    IS(): any;
    NULL(): any;
    TRUE(): any;
    FALSE(): any;
    FROM(): any;
    DISTINCT(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ValueExpressionContext(parser: any, parent: any, invokingState: any): any;
declare class ValueExpressionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ValueExpressionContext;
    copyFrom(ctx: any): void;
}
declare function PrimaryExpressionContext(parser: any, parent: any, invokingState: any): any;
declare class PrimaryExpressionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof PrimaryExpressionContext;
    copyFrom(ctx: any): void;
}
declare function FunctionNameContext(parser: any, parent: any, invokingState: any): any;
declare class FunctionNameContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof FunctionNameContext;
    uid(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function DereferenceDefinitionContext(parser: any, parent: any, invokingState: any): any;
declare class DereferenceDefinitionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof DereferenceDefinitionContext;
    uid(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function QualifiedNameContext(parser: any, parent: any, invokingState: any): any;
declare class QualifiedNameContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof QualifiedNameContext;
    identifier(): any;
    dereferenceDefinition(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function IntervalContext(parser: any, parent: any, invokingState: any): any;
declare class IntervalContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof IntervalContext;
    INTERVAL(): any;
    errorCapturingMultiUnitsInterval(): any;
    errorCapturingUnitToUnitInterval(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ErrorCapturingMultiUnitsIntervalContext(parser: any, parent: any, invokingState: any): any;
declare class ErrorCapturingMultiUnitsIntervalContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ErrorCapturingMultiUnitsIntervalContext;
    multiUnitsInterval(): any;
    unitToUnitInterval(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function MultiUnitsIntervalContext(parser: any, parent: any, invokingState: any): any;
declare class MultiUnitsIntervalContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof MultiUnitsIntervalContext;
    intervalValue(i: any): any;
    identifier(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ErrorCapturingUnitToUnitIntervalContext(parser: any, parent: any, invokingState: any): any;
declare class ErrorCapturingUnitToUnitIntervalContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    body: any;
    error1: any;
    error2: any;
    constructor: typeof ErrorCapturingUnitToUnitIntervalContext;
    unitToUnitInterval(i: any): any;
    multiUnitsInterval(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function UnitToUnitIntervalContext(parser: any, parent: any, invokingState: any): any;
declare class UnitToUnitIntervalContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    value: any;
    from: any;
    to: any;
    constructor: typeof UnitToUnitIntervalContext;
    TO(): any;
    intervalValue(): any;
    identifier(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function IntervalValueContext(parser: any, parent: any, invokingState: any): any;
declare class IntervalValueContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof IntervalValueContext;
    DIG_LITERAL(): any;
    REAL_LITERAL(): any;
    ADD_SIGN(): any;
    HYPNEN_SIGN(): any;
    STRING_LITERAL(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ColumnAliasContext(parser: any, parent: any, invokingState: any): any;
declare class ColumnAliasContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ColumnAliasContext;
    strictIdentifier(): any;
    AS(): any;
    identifierList(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function TableAliasContext(parser: any, parent: any, invokingState: any): any;
declare class TableAliasContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof TableAliasContext;
    strictIdentifier(): any;
    AS(): any;
    identifierList(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ErrorCapturingIdentifierContext(parser: any, parent: any, invokingState: any): any;
declare class ErrorCapturingIdentifierContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ErrorCapturingIdentifierContext;
    identifier(): any;
    errorCapturingIdentifierExtra(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ErrorCapturingIdentifierExtraContext(parser: any, parent: any, invokingState: any): any;
declare class ErrorCapturingIdentifierExtraContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ErrorCapturingIdentifierExtraContext;
    copyFrom(ctx: any): void;
}
declare function IdentifierListContext(parser: any, parent: any, invokingState: any): any;
declare class IdentifierListContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof IdentifierListContext;
    LR_BRACKET(): any;
    identifierSeq(): any;
    RR_BRACKET(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function IdentifierSeqContext(parser: any, parent: any, invokingState: any): any;
declare class IdentifierSeqContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof IdentifierSeqContext;
    identifier(i: any): any;
    COMMA(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function IdentifierContext(parser: any, parent: any, invokingState: any): any;
declare class IdentifierContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof IdentifierContext;
    strictIdentifier(): any;
    strictNonReserved(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function StrictIdentifierContext(parser: any, parent: any, invokingState: any): any;
declare class StrictIdentifierContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof StrictIdentifierContext;
    copyFrom(ctx: any): void;
}
declare function UnquotedIdentifierContext(parser: any, parent: any, invokingState: any): any;
declare class UnquotedIdentifierContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof UnquotedIdentifierContext;
    DIG_LITERAL(): any;
    ID_LITERAL(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function QuotedIdentifierContext(parser: any, parent: any, invokingState: any): any;
declare class QuotedIdentifierContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof QuotedIdentifierContext;
    STRING_LITERAL(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function WhenClauseContext(parser: any, parent: any, invokingState: any): any;
declare class WhenClauseContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    condition: any;
    result: any;
    constructor: typeof WhenClauseContext;
    WHEN(): any;
    THEN(): any;
    expression(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function UidListContext(parser: any, parent: any, invokingState: any): any;
declare class UidListContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof UidListContext;
    uid(i: any): any;
    COMMA(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function UidContext(parser: any, parent: any, invokingState: any): any;
declare class UidContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof UidContext;
    ID_LITERAL(): any;
    DOT_ID(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function PlusUidContext(parser: any, parent: any, invokingState: any): any;
declare class PlusUidContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof PlusUidContext;
    ID_LITERAL(): any;
    PLUS_ID_LITERAL(): any;
    DOT_ID(i: any): any;
    PLUS_DOT_ID(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function WithOptionContext(parser: any, parent: any, invokingState: any): any;
declare class WithOptionContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof WithOptionContext;
    WITH(): any;
    tablePropertyList(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function IfNotExistsContext(parser: any, parent: any, invokingState: any): any;
declare class IfNotExistsContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof IfNotExistsContext;
    IF(): any;
    NOT(): any;
    EXISTS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function IfExistsContext(parser: any, parent: any, invokingState: any): any;
declare class IfExistsContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof IfExistsContext;
    IF(): any;
    EXISTS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function TablePropertyListContext(parser: any, parent: any, invokingState: any): any;
declare class TablePropertyListContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof TablePropertyListContext;
    LR_BRACKET(): any;
    tableProperty(i: any): any;
    RR_BRACKET(): any;
    COMMA(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function TablePropertyContext(parser: any, parent: any, invokingState: any): any;
declare class TablePropertyContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    key: any;
    value: any;
    constructor: typeof TablePropertyContext;
    tablePropertyKey(): any;
    tablePropertyValue(): any;
    EQUAL_SYMBOL(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function TablePropertyKeyContext(parser: any, parent: any, invokingState: any): any;
declare class TablePropertyKeyContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof TablePropertyKeyContext;
    identifier(): any;
    dereferenceDefinition(): any;
    STRING_LITERAL(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function TablePropertyValueContext(parser: any, parent: any, invokingState: any): any;
declare class TablePropertyValueContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof TablePropertyValueContext;
    DIG_LITERAL(): any;
    REAL_LITERAL(): any;
    booleanLiteral(): any;
    STRING_LITERAL(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function LogicalOperatorContext(parser: any, parent: any, invokingState: any): any;
declare class LogicalOperatorContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof LogicalOperatorContext;
    AND(): any;
    BIT_AND_OP(i: any): any;
    OR(): any;
    BIT_OR_OP(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ComparisonOperatorContext(parser: any, parent: any, invokingState: any): any;
declare class ComparisonOperatorContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ComparisonOperatorContext;
    EQUAL_SYMBOL(): any;
    GREATER_SYMBOL(): any;
    LESS_SYMBOL(): any;
    EXCLAMATION_SYMBOL(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function BitOperatorContext(parser: any, parent: any, invokingState: any): any;
declare class BitOperatorContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof BitOperatorContext;
    LESS_SYMBOL(i: any): any;
    GREATER_SYMBOL(i: any): any;
    BIT_AND_OP(): any;
    BIT_XOR_OP(): any;
    BIT_OR_OP(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function MathOperatorContext(parser: any, parent: any, invokingState: any): any;
declare class MathOperatorContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof MathOperatorContext;
    ASTERISK_SIGN(): any;
    SLASH_SIGN(): any;
    PENCENT_SIGN(): any;
    DIV(): any;
    ADD_SIGN(): any;
    HYPNEN_SIGN(): any;
    DOUBLE_HYPNEN_SIGN(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function UnaryOperatorContext(parser: any, parent: any, invokingState: any): any;
declare class UnaryOperatorContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof UnaryOperatorContext;
    EXCLAMATION_SYMBOL(): any;
    BIT_NOT_OP(): any;
    ADD_SIGN(): any;
    HYPNEN_SIGN(): any;
    NOT(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function FullColumnNameContext(parser: any, parent: any, invokingState: any): any;
declare class FullColumnNameContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof FullColumnNameContext;
    uid(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ConstantContext(parser: any, parent: any, invokingState: any): any;
declare class ConstantContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof ConstantContext;
    stringLiteral(): any;
    decimalLiteral(): any;
    interval(): any;
    HYPNEN_SIGN(): any;
    booleanLiteral(): any;
    REAL_LITERAL(): any;
    BIT_STRING(): any;
    NULL(): any;
    NOT(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function StringLiteralContext(parser: any, parent: any, invokingState: any): any;
declare class StringLiteralContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof StringLiteralContext;
    STRING_LITERAL(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function DecimalLiteralContext(parser: any, parent: any, invokingState: any): any;
declare class DecimalLiteralContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof DecimalLiteralContext;
    DIG_LITERAL(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function BooleanLiteralContext(parser: any, parent: any, invokingState: any): any;
declare class BooleanLiteralContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof BooleanLiteralContext;
    TRUE(): any;
    FALSE(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SetQuantifierContext(parser: any, parent: any, invokingState: any): any;
declare class SetQuantifierContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof SetQuantifierContext;
    DISTINCT(): any;
    ALL(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function AnsiNonReservedContext(parser: any, parent: any, invokingState: any): any;
declare class AnsiNonReservedContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof AnsiNonReservedContext;
    ADD(): any;
    AFTER(): any;
    ALTER(): any;
    ANALYZE(): any;
    ANTI(): any;
    ARCHIVE(): any;
    ARRAY(): any;
    ASC(): any;
    AT(): any;
    BETWEEN(): any;
    BIGINT(): any;
    BINARY(): any;
    BOOLEAN(): any;
    BUCKET(): any;
    BUCKETS(): any;
    BY(): any;
    BYTES(): any;
    CACHE(): any;
    CASCADE(): any;
    CATALOG(): any;
    CATALOGS(): any;
    CHANGE(): any;
    CHAR(): any;
    CLEAR(): any;
    CLUSTER(): any;
    CLUSTERED(): any;
    CODEGEN(): any;
    COLLECTION(): any;
    COLUMNS(): any;
    COMMENT(): any;
    COMMIT(): any;
    COMPACT(): any;
    COMPACTIONS(): any;
    COMPUTE(): any;
    CONCATENATE(): any;
    CONSTRAINTS(): any;
    COST(): any;
    CUBE(): any;
    CURRENT(): any;
    DATA(): any;
    DATABASE(): any;
    DATABASES(): any;
    DATE(): any;
    DATETIME(): any;
    DBPROPERTIES(): any;
    DECIMAL(): any;
    DEFINED(): any;
    DELETE(): any;
    DELIMITED(): any;
    DESC(): any;
    DESCRIBE(): any;
    DFS(): any;
    DIRECTORIES(): any;
    DIRECTORY(): any;
    DISTRIBUTE(): any;
    DIV(): any;
    DOUBLE(): any;
    DROP(): any;
    ESCAPED(): any;
    EXCHANGE(): any;
    EXCLUDING(): any;
    EXISTS(): any;
    EXPLAIN(): any;
    EXPORT(): any;
    EXTENDED(): any;
    EXTERNAL(): any;
    EXTRACT(): any;
    FIELDS(): any;
    FILEFORMAT(): any;
    FIRST(): any;
    FLOAT(): any;
    FOLLOWING(): any;
    FORMAT(): any;
    FORMATTED(): any;
    FUNCTION(): any;
    FUNCTIONS(): any;
    GENERATED(): any;
    GLOBAL(): any;
    GROUPING(): any;
    IF(): any;
    IGNORE(): any;
    IMPORT(): any;
    INCLUDING(): any;
    INDEX(): any;
    INDEXES(): any;
    INPATH(): any;
    INPUTFORMAT(): any;
    INSERT(): any;
    INT(): any;
    INTERVAL(): any;
    ITEMS(): any;
    KEY(): any;
    KEYS(): any;
    LANGUAGE(): any;
    LAST(): any;
    LATERAL(): any;
    LAZY(): any;
    LIKE(): any;
    LIMIT(): any;
    LINES(): any;
    LIST(): any;
    LOAD(): any;
    LOCAL(): any;
    LOCATION(): any;
    LOCK(): any;
    LOCKS(): any;
    LOGICAL(): any;
    MACRO(): any;
    MAP(): any;
    MATCH(): any;
    MINUS(): any;
    MSCK(): any;
    MULTISET(): any;
    NEXT(): any;
    NO(): any;
    NULL(): any;
    NULLS(): any;
    OF(): any;
    OPTION(): any;
    OPTIONS(): any;
    OUT(): any;
    OUTPUTFORMAT(): any;
    OVER(): any;
    OVERWRITE(): any;
    PARTITION(): any;
    PARTITIONED(): any;
    PARTITIONS(): any;
    PERCENTLIT(): any;
    PERIOD(): any;
    PIVOT(): any;
    POSITION(): any;
    PRECEDING(): any;
    PRINCIPALS(): any;
    PURGE(): any;
    RANGE(): any;
    RAW(): any;
    RECORDREADER(): any;
    RECORDWRITER(): any;
    RECOVER(): any;
    REDUCE(): any;
    REFRESH(): any;
    RENAME(): any;
    REPAIR(): any;
    REPLACE(): any;
    RESET(): any;
    RESTRICT(): any;
    REVOKE(): any;
    RLIKE(): any;
    ROLE(): any;
    ROLES(): any;
    ROLLBACK(): any;
    ROLLUP(): any;
    ROW(): any;
    ROWS(): any;
    SEMI(): any;
    SEPARATED(): any;
    SERDE(): any;
    SERDEPROPERTIES(): any;
    SET(): any;
    SETMINUS(): any;
    SETS(): any;
    SHOW(): any;
    SKEWED(): any;
    SMALLINT(): any;
    SORT(): any;
    SORTED(): any;
    START(): any;
    STATISTICS(): any;
    STORED(): any;
    STRATIFY(): any;
    STRING(): any;
    STRUCT(): any;
    SYSTEM(): any;
    SYSTEM_TIME(): any;
    TABLES(): any;
    TABLESAMPLE(): any;
    TBLPROPERTIES(): any;
    TEMPORARY(): any;
    TERMINATED(): any;
    TIME(): any;
    TIMESTAMP(): any;
    TINYINT(): any;
    TOUCH(): any;
    TRANSACTION(): any;
    TRANSACTIONS(): any;
    TRANSFORM(): any;
    TRUE(): any;
    TRUNCATE(): any;
    UNARCHIVE(): any;
    UNBOUNDED(): any;
    UNCACHE(): any;
    UNLOCK(): any;
    UNSET(): any;
    UNNEST(): any;
    USE(): any;
    VALUES(): any;
    VARBINARY(): any;
    VARCHAR(): any;
    VIEW(): any;
    VIEWS(): any;
    WATERMARK(): any;
    WINDOW(): any;
    WITHIN(): any;
    WS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function StrictNonReservedContext(parser: any, parent: any, invokingState: any): any;
declare class StrictNonReservedContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof StrictNonReservedContext;
    ANTI(): any;
    CROSS(): any;
    EXCEPT(): any;
    FULL(): any;
    INNER(): any;
    INTERSECT(): any;
    JOIN(): any;
    LEFT(): any;
    NATURAL(): any;
    ON(): any;
    RIGHT(): any;
    SEMI(): any;
    SETMINUS(): any;
    UNION(): any;
    USING(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function NonReservedContext(parser: any, parent: any, invokingState: any): any;
declare class NonReservedContext {
    constructor(parser: any, parent: any, invokingState: any);
    parser: any;
    ruleIndex: number;
    constructor: typeof NonReservedContext;
    ADD(): any;
    AFTER(): any;
    ALL(): any;
    ALTER(): any;
    ANALYZE(): any;
    AND(): any;
    ANY(): any;
    COLUMNS(): any;
    ARRAY(): any;
    AS(): any;
    ASC(): any;
    AT(): any;
    BETWEEN(): any;
    BIGINT(): any;
    BINARY(): any;
    BOOLEAN(): any;
    BOTH(): any;
    BUCKET(): any;
    BUCKETS(): any;
    BY(): any;
    BYTES(): any;
    CACHE(): any;
    CASCADE(): any;
    CASE(): any;
    CAST(): any;
    CATALOG(): any;
    CATALOGS(): any;
    CHANGE(): any;
    CHAR(): any;
    CLEAR(): any;
    CLUSTER(): any;
    CLUSTERED(): any;
    CODEGEN(): any;
    COLLECTION(): any;
    COLUMN(): any;
    COMMENT(): any;
    COMMIT(): any;
    COMPACT(): any;
    COMPACTIONS(): any;
    COMPUTE(): any;
    CONCATENATE(): any;
    CONSTRAINT(): any;
    CONSTRAINTS(): any;
    COST(): any;
    CREATE(): any;
    CUBE(): any;
    CURRENT(): any;
    DATA(): any;
    DATABASE(): any;
    DATABASES(): any;
    DATE(): any;
    DATETIME(): any;
    DBPROPERTIES(): any;
    DECIMAL(): any;
    DEFINED(): any;
    DELETE(): any;
    DELIMITED(): any;
    DESC(): any;
    DESCRIBE(): any;
    DFS(): any;
    DIRECTORIES(): any;
    DIRECTORY(): any;
    DISTINCT(): any;
    DISTRIBUTE(): any;
    DIV(): any;
    DOUBLE(): any;
    DROP(): any;
    ELSE(): any;
    END(): any;
    ESCAPED(): any;
    EXCHANGE(): any;
    EXCLUDING(): any;
    EXISTS(): any;
    EXPLAIN(): any;
    EXPORT(): any;
    EXTENDED(): any;
    EXTERNAL(): any;
    EXTRACT(): any;
    FALSE(): any;
    FIELDS(): any;
    FILEFORMAT(): any;
    FIRST(): any;
    FLOAT(): any;
    FOLLOWING(): any;
    FOR(): any;
    FORMAT(): any;
    FORMATTED(): any;
    FROM(): any;
    FUNCTION(): any;
    FUNCTIONS(): any;
    GENERATED(): any;
    GLOBAL(): any;
    GRANT(): any;
    GROUP(): any;
    GROUPING(): any;
    HAVING(): any;
    IF(): any;
    IGNORE(): any;
    IMPORT(): any;
    IN(): any;
    INCLUDING(): any;
    INDEX(): any;
    INDEXES(): any;
    INPATH(): any;
    INPUTFORMAT(): any;
    INSERT(): any;
    INT(): any;
    INTERVAL(): any;
    INTO(): any;
    IS(): any;
    ITEMS(): any;
    KEY(): any;
    KEYS(): any;
    LANGUAGE(): any;
    LAST(): any;
    LATERAL(): any;
    LAZY(): any;
    LEADING(): any;
    LIKE(): any;
    LIMIT(): any;
    LINES(): any;
    LIST(): any;
    LOAD(): any;
    LOCAL(): any;
    LOCATION(): any;
    LOCK(): any;
    LOCKS(): any;
    LOGICAL(): any;
    MACRO(): any;
    MAP(): any;
    MATCH(): any;
    MINUS(): any;
    MSCK(): any;
    MULTISET(): any;
    NEXT(): any;
    NO(): any;
    NOT(): any;
    NULL(): any;
    NULLS(): any;
    OF(): any;
    OPTION(): any;
    OPTIONS(): any;
    OR(): any;
    ORDER(): any;
    OUT(): any;
    OUTER(): any;
    OUTPUTFORMAT(): any;
    OVER(): any;
    OVERWRITE(): any;
    PARTITION(): any;
    PARTITIONED(): any;
    PARTITIONS(): any;
    PERCENTLIT(): any;
    PERIOD(): any;
    PIVOT(): any;
    POSITION(): any;
    PRECEDING(): any;
    PRIMARY(): any;
    PRINCIPALS(): any;
    PURGE(): any;
    RANGE(): any;
    RAW(): any;
    RECORDREADER(): any;
    RECORDWRITER(): any;
    RECOVER(): any;
    REDUCE(): any;
    REFRESH(): any;
    RENAME(): any;
    REPAIR(): any;
    REPLACE(): any;
    RESET(): any;
    RESTRICT(): any;
    REVOKE(): any;
    RLIKE(): any;
    ROLE(): any;
    ROLES(): any;
    ROLLBACK(): any;
    ROLLUP(): any;
    ROW(): any;
    ROWS(): any;
    SELECT(): any;
    SEPARATED(): any;
    SERDE(): any;
    SERDEPROPERTIES(): any;
    SET(): any;
    SETS(): any;
    SHOW(): any;
    SKEWED(): any;
    SMALLINT(): any;
    SORT(): any;
    SORTED(): any;
    START(): any;
    STATISTICS(): any;
    STORED(): any;
    STRATIFY(): any;
    STRING(): any;
    STRUCT(): any;
    SYSTEM(): any;
    SYSTEM_TIME(): any;
    TABLE(): any;
    TABLES(): any;
    TABLESAMPLE(): any;
    TBLPROPERTIES(): any;
    TEMPORARY(): any;
    TERMINATED(): any;
    THEN(): any;
    TIME(): any;
    TIMESTAMP(): any;
    TINYINT(): any;
    TO(): any;
    TOUCH(): any;
    TRAILING(): any;
    TRANSACTION(): any;
    TRANSACTIONS(): any;
    TRANSFORM(): any;
    TRUE(): any;
    TRUNCATE(): any;
    UNARCHIVE(): any;
    UNBOUNDED(): any;
    UNCACHE(): any;
    UNLOCK(): any;
    UNSET(): any;
    UNNEST(): any;
    USE(): any;
    VALUES(): any;
    VARBINARY(): any;
    VARCHAR(): any;
    VIEW(): any;
    VIEWS(): any;
    WATERMARK(): any;
    WHEN(): any;
    WHERE(): any;
    WINDOW(): any;
    WITH(): any;
    WITHIN(): any;
    WS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function IdentityTransformContext(parser: any, ctx: any): any;
declare class IdentityTransformContext {
    constructor(parser: any, ctx: any);
    constructor: typeof IdentityTransformContext;
    qualifiedName(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ApplyTransformContext(parser: any, ctx: any): any;
declare class ApplyTransformContext {
    constructor(parser: any, ctx: any);
    transformName: any;
    constructor: typeof ApplyTransformContext;
    LR_BRACKET(): any;
    transformArgument(i: any): any;
    RR_BRACKET(): any;
    identifier(): any;
    COMMA(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function LogicalNotContext(parser: any, ctx: any): any;
declare class LogicalNotContext {
    constructor(parser: any, ctx: any);
    constructor: typeof LogicalNotContext;
    NOT(): any;
    booleanExpression(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function PredicatedContext(parser: any, ctx: any): any;
declare class PredicatedContext {
    constructor(parser: any, ctx: any);
    constructor: typeof PredicatedContext;
    valueExpression(): any;
    predicate(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ExistsContext(parser: any, ctx: any): any;
declare class ExistsContext {
    constructor(parser: any, ctx: any);
    constructor: typeof ExistsContext;
    EXISTS(): any;
    LR_BRACKET(): any;
    queryStatement(): any;
    RR_BRACKET(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function LogicalBinaryContext(parser: any, ctx: any): any;
declare class LogicalBinaryContext {
    constructor(parser: any, ctx: any);
    left: any;
    operator: any;
    right: any;
    constructor: typeof LogicalBinaryContext;
    booleanExpression(i: any): any;
    AND(): any;
    OR(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ValueExpressionDefaultContext(parser: any, ctx: any): any;
declare class ValueExpressionDefaultContext {
    constructor(parser: any, ctx: any);
    constructor: typeof ValueExpressionDefaultContext;
    primaryExpression(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ComparisonContext(parser: any, ctx: any): any;
declare class ComparisonContext {
    constructor(parser: any, ctx: any);
    left: any;
    right: any;
    constructor: typeof ComparisonContext;
    comparisonOperator(): any;
    valueExpression(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ArithmeticBinaryContext(parser: any, ctx: any): any;
declare class ArithmeticBinaryContext {
    constructor(parser: any, ctx: any);
    left: any;
    operator: any;
    right: any;
    constructor: typeof ArithmeticBinaryContext;
    valueExpression(i: any): any;
    ASTERISK_SIGN(): any;
    SLASH_SIGN(): any;
    PENCENT_SIGN(): any;
    DIV(): any;
    ADD_SIGN(): any;
    HYPNEN_SIGN(): any;
    DOUBLE_VERTICAL_SIGN(): any;
    BIT_AND_OP(): any;
    BIT_XOR_OP(): any;
    BIT_OR_OP(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ArithmeticUnaryContext(parser: any, ctx: any): any;
declare class ArithmeticUnaryContext {
    constructor(parser: any, ctx: any);
    operator: any;
    constructor: typeof ArithmeticUnaryContext;
    valueExpression(): any;
    HYPNEN_SIGN(): any;
    ADD_SIGN(): any;
    BIT_NOT_OP(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function DereferenceContext(parser: any, ctx: any): any;
declare class DereferenceContext {
    constructor(parser: any, ctx: any);
    constructor: typeof DereferenceContext;
    dereferenceDefinition(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SimpleCaseContext(parser: any, ctx: any): any;
declare class SimpleCaseContext {
    constructor(parser: any, ctx: any);
    value: any;
    elseExpression: any;
    constructor: typeof SimpleCaseContext;
    CASE(): any;
    END(): any;
    expression(i: any): any;
    whenClause(i: any): any;
    ELSE(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ColumnReferenceContext(parser: any, ctx: any): any;
declare class ColumnReferenceContext {
    constructor(parser: any, ctx: any);
    constructor: typeof ColumnReferenceContext;
    identifier(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function LastContext(parser: any, ctx: any): any;
declare class LastContext {
    constructor(parser: any, ctx: any);
    constructor: typeof LastContext;
    LAST(): any;
    LR_BRACKET(): any;
    expression(): any;
    RR_BRACKET(): any;
    IGNORE(): any;
    NULLS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function StarContext(parser: any, ctx: any): any;
declare class StarContext {
    constructor(parser: any, ctx: any);
    constructor: typeof StarContext;
    ASTERISK_SIGN(): any;
    uid(): any;
    DOT(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SubscriptContext(parser: any, ctx: any): any;
declare class SubscriptContext {
    constructor(parser: any, ctx: any);
    value: any;
    index: any;
    constructor: typeof SubscriptContext;
    LS_BRACKET(): any;
    RS_BRACKET(): any;
    primaryExpression(): any;
    valueExpression(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SubqueryExpressionContext(parser: any, ctx: any): any;
declare class SubqueryExpressionContext {
    constructor(parser: any, ctx: any);
    constructor: typeof SubqueryExpressionContext;
    LR_BRACKET(): any;
    queryStatement(): any;
    RR_BRACKET(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function CastContext(parser: any, ctx: any): any;
declare class CastContext {
    constructor(parser: any, ctx: any);
    constructor: typeof CastContext;
    CAST(): any;
    LR_BRACKET(): any;
    expression(): any;
    AS(): any;
    columnType(): any;
    RR_BRACKET(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ConstantDefaultContext(parser: any, ctx: any): any;
declare class ConstantDefaultContext {
    constructor(parser: any, ctx: any);
    constructor: typeof ConstantDefaultContext;
    constant(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ParenthesizedExpressionContext(parser: any, ctx: any): any;
declare class ParenthesizedExpressionContext {
    constructor(parser: any, ctx: any);
    constructor: typeof ParenthesizedExpressionContext;
    LR_BRACKET(): any;
    expression(): any;
    RR_BRACKET(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function FunctionCallContext(parser: any, ctx: any): any;
declare class FunctionCallContext {
    constructor(parser: any, ctx: any);
    constructor: typeof FunctionCallContext;
    functionName(): any;
    LR_BRACKET(): any;
    RR_BRACKET(): any;
    expression(i: any): any;
    setQuantifier(): any;
    COMMA(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function SearchedCaseContext(parser: any, ctx: any): any;
declare class SearchedCaseContext {
    constructor(parser: any, ctx: any);
    elseExpression: any;
    constructor: typeof SearchedCaseContext;
    CASE(): any;
    END(): any;
    whenClause(i: any): any;
    ELSE(): any;
    expression(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function PositionContext(parser: any, ctx: any): any;
declare class PositionContext {
    constructor(parser: any, ctx: any);
    substr: any;
    str: any;
    constructor: typeof PositionContext;
    POSITION(): any;
    LR_BRACKET(): any;
    IN(): any;
    RR_BRACKET(): any;
    valueExpression(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function FirstContext(parser: any, ctx: any): any;
declare class FirstContext {
    constructor(parser: any, ctx: any);
    constructor: typeof FirstContext;
    FIRST(): any;
    LR_BRACKET(): any;
    expression(): any;
    RR_BRACKET(): any;
    IGNORE(): any;
    NULLS(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function ErrorIdentContext(parser: any, ctx: any): any;
declare class ErrorIdentContext {
    constructor(parser: any, ctx: any);
    constructor: typeof ErrorIdentContext;
    MINUS(i: any): any;
    identifier(i: any): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function RealIdentContext(parser: any, ctx: any): any;
declare class RealIdentContext {
    constructor(parser: any, ctx: any);
    constructor: typeof RealIdentContext;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function QuotedIdentifierAlternativeContext(parser: any, ctx: any): any;
declare class QuotedIdentifierAlternativeContext {
    constructor(parser: any, ctx: any);
    constructor: typeof QuotedIdentifierAlternativeContext;
    quotedIdentifier(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function NonReservedKeywordsContext(parser: any, ctx: any): any;
declare class NonReservedKeywordsContext {
    constructor(parser: any, ctx: any);
    constructor: typeof NonReservedKeywordsContext;
    nonReserved(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function UnquotedIdentifierAlternativeContext(parser: any, ctx: any): any;
declare class UnquotedIdentifierAlternativeContext {
    constructor(parser: any, ctx: any);
    constructor: typeof UnquotedIdentifierAlternativeContext;
    unquotedIdentifier(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
declare function AnsiNonReservedKeywordsContext(parser: any, ctx: any): any;
declare class AnsiNonReservedKeywordsContext {
    constructor(parser: any, ctx: any);
    constructor: typeof AnsiNonReservedKeywordsContext;
    ansiNonReserved(): any;
    enterRule(listener: any): void;
    exitRule(listener: any): void;
    accept(visitor: any): any;
}
export {};
