import { Token, Recognizer } from 'antlr4';
import { ErrorListener } from 'antlr4/error';
export interface ParserError {
    startLine: number;
    endLine: number;
    startCol: number;
    endCol: number;
    message: string;
}
export interface SyntaxError {
    recognizer: Recognizer;
    offendingSymbol: Token;
    line: number;
    charPositionInLine: number;
    msg: string;
    e: any;
}
export declare type ErrorHandler = (err: ParserError, errOption: SyntaxError) => void;
export declare class ParserErrorCollector extends ErrorListener {
    private _errors;
    constructor(error: ParserError[]);
    syntaxError(recognizer: Recognizer, offendingSymbol: Token, line: number, charPositionInLine: number, msg: string, e: any): void;
}
export default class ParserErrorListener extends ErrorListener {
    private _errorHandler;
    constructor(errorListener: ErrorHandler);
    syntaxError(recognizer: Recognizer, offendingSymbol: Token, line: number, charPositionInLine: number, msg: string, e: any): void;
}
